# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Get the details of a Real-Time Payments request In this tutorial, you'll learn how to use the Global Payments API to retrieve the payment details of an RTP payment request. By the end of this tutorial, you'll know how to use the `endToEndId` to retrieve the transaction details of your payment request. ## Before you begin To retrieve the details of an RTP request, you'll need an `endToEndId` value for your payment request, which is provided in a [successful payment response](/docs/treasury/global-payments/capabilities/global-payments/real-time-payments/how-to/initiate-a-real-time-payment-request#confirm-response). ## Create and send a payment details request A [successful response](/docs/treasury/global-payments/capabilities/global-payments/real-time-payments/how-to/initiate-a-real-time-payment-request#confirm-response) contains an `endToEndId` value that can be used to retrieve the status of the payment request. ```curl curl --location 'https://api-mock.payments.jpmorgan.com/tsapi/v1/payments?endToEndId=pl210g9t231r13541130' ``` A successful response contains the transaction details for your payment request: ```json { "paymentStatus": { "createDateTime": "2022-10-15T00:00:12.145", "status": "COMPLETED" }, "payments": { "paymentIdentifiers": { "endToEndId": "pl210g9t231r13541130" }, "requestedExecutionDate": "2022-10-15", "transferType": "CREDIT", "paymentType": "RTP", "paymentCurrency": "USD", "paymentAmount": 500, "debtor": { "debtorName": "John Doe", "debtorAccount": { "accountId": "000123456789112", "accountType": "DDA" }, "ultimateDebtor": { "ultimateDebtorName": "Jane Smith", "postalAddress": { "addressType": "ADDR", "streetName": "Fantasy Lane", "buildingNumber": "9999", "postalCode": "99999", "townName": "Imaginary City", "country": "US", "countrySubDvsn": "ZZ" }, "dateAndPlaceOfBirth": { "birthDate": "1984-01-01", "cityOfBirth": "Hull city", "countryOfBirth": "BR" }, "individualId": { "id": "001" } } }, "debtorAgent": { "financialInstitutionId": { "clearingSystemId": { "id": "021000021", "idType": "USABA" } } }, "creditorAgent": { "financialInstitutionId": { "clearingSystemId": { "id": "071000013", "idType": "USABA" } } }, "creditor": { "creditorName": "Jane Smithy", "postalAddress": { "addressType": "ADDR", "streetName": "Maple Avenue", "buildingNumber": "5678", "postalCode": "67890", "townName": "Rivertown", "country": "US", "countrySubDvsn": "AB" }, "dateAndPlaceOfBirth": { "birthDate": "2001-01-12", "cityOfBirth": "London", "countryOfBirth": "UK" }, "creditorAccount": { "accountId": "000000033255284" }, "ultimateCreditor": { "ultimateCreditorName": "Paula Smitty", "postalAddress": { "addressType": "ADDR", "streetName": "Fantasy Lane", "buildingNumber": "9999", "postalCode": "99999", "townName": "Imaginary City", "country": "US", "countrySubDvsn": "ZZ" }, "dateAndPlaceOfBirth": { "birthDate": "1999-04-01", "cityOfBirth": "Rio", "countryOfBirth": "BR" }, "organizationId": { "id": "003" } } }, "remittanceInformation": { "unstructuredInformation": [ "Payment for rustic vintage furniture" ] } }, "firmRootId": "98275a2d-1e88-beed-6938-0521a7e0aesf" } ``` ## Next steps - Review [payment limits](/docs/treasury/global-payments/capabilities/global-payments/real-time-payments/resources#payment-limits). - Understand the required [payment parameters](/docs/treasury/global-payments/capabilities/global-payments/real-time-payments/payment-parameters) for your region.